// generated by Fast Light User Interface Designer (fluid) version 1.0308

#include "appUI.hpp"

Fl_Menu_Item AppUI::menu_[] = {
 {"Load Video", 0,  0, 0, 0, (uchar)FL_NORMAL_LABEL, 0, 14, 0},
 {0,0,0,0,0,0,0,0,0}
};
Fl_Menu_Item* AppUI::load_video_button = AppUI::menu_ + 0;

AppUI::AppUI() {
  { main_window = new Fl_Double_Window(640, 480, "Project Andreu");
    main_window->user_data((void*)(this));
    { Fl_Menu_Bar* o = new Fl_Menu_Bar(0, 0, 640, 20);
      o->menu(menu_);
    } // Fl_Menu_Bar* o
    { viewers = new Fl_Group(0, 35, 640, 240);
      { audio_viewer = new Fl_ViewerCV(0, 35, 320, 240);
        audio_viewer->box(FL_NO_BOX);
        audio_viewer->color(FL_GRAY0);
        audio_viewer->selection_color(FL_BACKGROUND_COLOR);
        audio_viewer->labeltype(FL_NO_LABEL);
        audio_viewer->labelfont(0);
        audio_viewer->labelsize(14);
        audio_viewer->labelcolor(FL_FOREGROUND_COLOR);
        audio_viewer->align(Fl_Align(FL_ALIGN_CENTER|FL_ALIGN_INSIDE));
        audio_viewer->when(FL_WHEN_RELEASE);
      } // Fl_ViewerCV* audio_viewer
      { video_viewer = new Fl_ViewerCV(320, 35, 320, 240);
        video_viewer->box(FL_NO_BOX);
        video_viewer->color(FL_FOREGROUND_COLOR);
        video_viewer->selection_color(FL_BACKGROUND_COLOR);
        video_viewer->labeltype(FL_NO_LABEL);
        video_viewer->labelfont(0);
        video_viewer->labelsize(14);
        video_viewer->labelcolor(FL_FOREGROUND_COLOR);
        video_viewer->align(Fl_Align(FL_ALIGN_CENTER));
        video_viewer->when(FL_WHEN_RELEASE);
      } // Fl_ViewerCV* video_viewer
      viewers->end();
      Fl_Group::current()->resizable(viewers);
    } // Fl_Group* viewers
    { controls = new Fl_Group(20, 400, 600, 50);
      { frame_slider = new Fl_Value_Slider(120, 400, 400, 20, "frame");
        frame_slider->type(1);
        frame_slider->labeltype(FL_NO_LABEL);
        frame_slider->step(1);
        frame_slider->textsize(14);
      } // Fl_Value_Slider* frame_slider
      { audio_choice = new Fl_Choice(120, 420, 140, 30, "audio");
        audio_choice->down_box(FL_BORDER_BOX);
        audio_choice->align(Fl_Align(FL_ALIGN_BOTTOM));
      } // Fl_Choice* audio_choice
      { backward_button = new Fl_Repeat_Button(260, 420, 40, 30, "@|<");
      } // Fl_Repeat_Button* backward_button
      { play_button = new Fl_Button(300, 420, 40, 30, "@>");
        play_button->type(1);
      } // Fl_Button* play_button
      { forward_button = new Fl_Repeat_Button(340, 420, 40, 30, "@>|");
      } // Fl_Repeat_Button* forward_button
      { speed_button = new Fl_Button(525, 400, 40, 20, "x1");
        speed_button->labeltype(FL_ENGRAVED_LABEL);
      } // Fl_Button* speed_button
      { video_choice = new Fl_Choice(380, 420, 140, 30, "video");
        video_choice->down_box(FL_BORDER_BOX);
        video_choice->align(Fl_Align(FL_ALIGN_BOTTOM));
      } // Fl_Choice* video_choice
      controls->end();
    } // Fl_Group* controls
    main_window->size_range(320, 240);
    main_window->end();
  } // Fl_Double_Window* main_window
}
